Bug 1300058 - Kernel nfsd backtrace: WARNING: CPU: 2 PID: 2127 at fs/nfsd/nfs4state.c:4026 nfsd4_process_open2+0x11af/0x1320 [nfsd]() [NEEDINFO]
Kernel nfsd backtrace: WARNING: CPU: 2 PID: 2127 at fs/nfsd/nfs4state.c:4026 ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: nfs-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 15:53 EST by Ashley Penney
Modified: 2016-10-26 12:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:53:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (apenney)


Attachments (Terms of Use)

  None (edit)
Description Ashley Penney 2016-01-19 15:53:28 EST
Description of problem:

In 4.2.8 and 4.3.3 I see the following nfsd kernel failures.  This is basically the same bug as 1291043, and I wasn't sure if I should reopen that or create a new one.

How reproducible:

Happens "randomly", but I'm happy to try any suggestions to force it to happen more frequently.  Pretty much always happens shortly after a reboot.

Additional info:

[  969.779558] ------------[ cut here ]------------
[  969.779592] WARNING: CPU: 2 PID: 2127 at fs/nfsd/nfs4state.c:4026 nfsd4_process_open2+0x11af/0x1320 [nfsd]()
[  969.779596] Modules linked in: tcp_diag udp_diag inet_diag binfmt_misc ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter mlx4_ib mlx4_en ib_sa ib_mad vxlan ib_core ip6_udp_tunnel ib_addr udp_tunnel ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack 8021q garp mrp ebtable_broute bridge stp llc ebtable_filter ebtable_nat ebtables ip6table_mangle ip6table_raw ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack intel_rapl dm_thin_pool iosf_mbi dm_persistent_data x86_pkg_temp_thermal coretemp dm_bio_prison kvm_intel kvm crct10dif_pclmul crc32_pclmul iTCO_wdt iTCO_vendor_support mlx4_core ipmi_ssif igb ses enclosure sb_edac
[  969.779667]  edac_core joydev ptp i2c_i801 ioatdma pps_core mei_me mei lpc_ich shpchp dca wmi ipmi_si tpm_tis tpm fjes ipmi_msghandler acpi_power_meter acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c raid1 ast i2c_algo_bit drm_kms_helper crc32c_intel ttm drm megaraid_sas
[  969.779727] CPU: 2 PID: 2127 Comm: nfsd Not tainted 4.3.3-300.fc23.x86_64 #1
[  969.779731] Hardware name: Pengin Computing IceBreaker 4924/X10DRi, BIOS 1.1 04/14/2015
[  969.779733]  0000000000000000 00000000726abdb4 ffff881045a33c08 ffffffff813a626f
[  969.779738]  0000000000000000 ffff881045a33c40 ffffffff810a07c2 ffff88084a0c02a0
[  969.779746]  ffff881045e1d3e0 ffff8808061d1c18 ffff8808492dd440 ffff8808492dd440
[  969.779750] Call Trace:
[  969.779760]  [<ffffffff813a626f>] dump_stack+0x44/0x55
[  969.779767]  [<ffffffff810a07c2>] warn_slowpath_common+0x82/0xc0
[  969.779771]  [<ffffffff810a090a>] warn_slowpath_null+0x1a/0x20
[  969.779785]  [<ffffffffa029143f>] nfsd4_process_open2+0x11af/0x1320 [nfsd]
[  969.779796]  [<ffffffffa027fafd>] nfsd4_open+0x4fd/0x820 [nfsd]
[  969.779805]  [<ffffffffa02801aa>] nfsd4_proc_compound+0x38a/0x660 [nfsd]
[  969.779813]  [<ffffffffa026ce68>] nfsd_dispatch+0xb8/0x200 [nfsd]
[  969.779849]  [<ffffffffa01ed9ec>] svc_process_common+0x40c/0x650 [sunrpc]
[  969.779865]  [<ffffffffa01eeb24>] svc_process+0xf4/0x180 [sunrpc]
[  969.779872]  [<ffffffffa026c8bf>] nfsd+0xef/0x160 [nfsd]
[  969.779883]  [<ffffffffa026c7d0>] ? nfsd_destroy+0x60/0x60 [nfsd]
[  969.779889]  [<ffffffff810bede8>] kthread+0xd8/0xf0
[  969.779894]  [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
[  969.779899]  [<ffffffff8178199f>] ret_from_fork+0x3f/0x70
[  969.779904]  [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
[  969.779907] ---[ end trace cc5629acb14c9ca2 ]---
Comment 1 Laura Abbott 2016-09-23 15:42:32 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 2 Laura Abbott 2016-10-26 12:53:16 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.